# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define	Name		TransactionService
%define	bname		openorb
%define	section		free

Name:		openorb-ots
Version:	1.4.0
Release:	1jpp
Epoch:		0
Summary:	OpenORB TransactionService
License:	BSD
Group:		Development/Java
Distribution:	JPackage
Vendor:		JPackage Project
Source0:	%{Name}-%{version}-src.tgz
Source1:	Tools-%{version}-src.tgz
Patch0:		%{name}-build.patch
Url:		http://openorb.exolab.org/
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	excalibur-avalon-framework-api
BuildRequires:	excalibur-avalon-framework-impl
BuildRequires:	excalibur-avalon-logkit
BuildRequires:	excalibur-configuration
BuildRequires:	openorb >= 0:1.4.0
BuildRequires:	geronimo-jta-1.0.1B-api
Requires:	excalibur-avalon-framework-api
Requires:	excalibur-avalon-framework-impl
Requires:	excalibur-avalon-logkit
Requires:	excalibur-configuration
Requires:	geronimo-jta-1.0.1B-api
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and 
provides a lot of features, services and extensions.

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{Name}
gzip -dc %{SOURCE1} | tar xf -
%patch0 -b .sav
#find . -name "*.java" -exec perl -p -i -e 's|assert|myAssert|g;' {} \;
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
#./lib/ext/jdbc.jar.no
#./lib/ext/jta_1.0.1.jar.no
#./lib/ext/savepoint.jar.no
#./lib/openorb_ots-1.4.0.jar.no
#./lib/openorb_ots_examples-1.4.0.jar.no
#./tools/build.jar.no
#./tools/lib/ext/avalon-framework.jar.no
#./tools/lib/ext/build/ant.jar.no
#./tools/lib/ext/build/ant-launcher.jar.no
#./tools/lib/ext/build/batik.jar.no
#./tools/lib/ext/build/checkstyle-all.jar.no
#./tools/lib/ext/build/fop.jar.no
#./tools/lib/ext/build/jfor.jar.no
#./tools/lib/ext/build/jimi.jar.no
#./tools/lib/ext/build/junit.jar.no
#./tools/lib/ext/build/xalan.jar.no
#./tools/lib/ext/commons-cli.jar.no
#./tools/lib/ext/excalibur-configuration.jar.no
#./tools/lib/ext/hsqldb.jar.no
#./tools/lib/ext/logkit.jar.no
#./tools/lib/ext/xercesImpl.jar.no
#./tools/lib/ext/xml-apis.jar.no
#./tools/lib/launcher.jar.no
#./tools/lib/openorb_native.jar.no
#./tools/lib/tools_test-1.4.0.jar.no

export CLASSPATH=$(build-classpath \
commons-cli \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
excalibur/excalibur-configuration \
geronimo-jta-1.0.1B-api \
hsqldb \
jdbc-stdext \
openorb-omg \
openorb-tools \
openorb \
xerces-j2 \
xml-commons-apis \
)
CLASSPATH=$CLASSPATH:../OpenORB/tools/lib/tools-1.4.0.jar
CLASSPATH=$CLASSPATH:../OpenORB/tools/lib/launcher.jar

ant \
	-DVERSION_MAJOR=1 \
	-DVERSION_MINOR=4 \
	-DVERSION_MINOR_CHANGE=0 \
	-Dbuild.compiler=modern \
	-buildfile src/build.xml \
	jar-all compile-javadoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{bname}_ots-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 lib/%{bname}_ots_examples-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-examples-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/omg
cp -pr doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0664,root,root,0755)
%doc LICENSE.txt README
%{_javadir}/*

%files javadoc
%defattr(0664,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Thu Jun 22 2006 Ralph Apel <r.apel@r-apel.de> 0:1.4.0-1jpp
- First JPP-1.7 release
